Bug 122454 - [UPDATE] devel/tcltls from 1.5.0 to 1.6
Summary: [UPDATE] devel/tcltls from 1.5.0 to 1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-05 00:40 UTC by Martin Matuska
Modified: 2008-05-16 22:50 UTC (History)
0 users

See Also:


Attachments
file.diff (5.51 KB, patch)
2008-04-05 00:40 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2008-04-05 00:40:03 UTC
	- Update of devel/tcltls to 1.6
	- Use Tcl TEA instead of own Makefile.bsd, remove the later
	- Use bsd.tcl.mk infrastructure (Tcl 8.3 and higher)
	- Supersedes ports/116550
Comment 1 Edwin Groothuis freebsd_committer 2008-04-05 00:40:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mm

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-04-05 00:40:29 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Matuska freebsd_committer 2008-04-12 10:17:43 UTC
Responsible Changed
From-To: mm->mi

Over to maintainer.
Comment 4 dfilter service freebsd_committer 2008-05-16 22:43:19 UTC
mi          2008-05-16 21:43:10 UTC

  FreeBSD ports repository

  Modified files:
    devel/tcltls         Makefile distinfo 
    devel/tcltls/files   Makefile.bsd 
  Log:
  Upgrade from 1.5.0 to 1.6. Don't automatically perform the vendor's tests
  for the time being, while I investigate, why they sometimes fail with
  "impossible case" and sometimes succeed. The removes the need for
  MANUAL_PACKAGE_BUILD.
  
  Use USE_TCL.
  
  Using:
  
  PR:     ports/116550
  PR:     ports/122454
  Submitted by:   mm
  
  Revision  Changes    Path
  1.15      +17 -8     ports/devel/tcltls/Makefile
  1.7       +3 -3      ports/devel/tcltls/distinfo
  1.5       +7 -5      ports/devel/tcltls/files/Makefile.bsd
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Mikhail Teterin freebsd_committer 2008-05-16 22:44:09 UTC
State Changed
From-To: feedback->closed

Port upgraded, thanks for the heads-up. In the end I decided 
to keep my own build (with Makefile.bsd), rather than switch 
to GNU_CONFIGURE. 

Also, installing tls.h makes little sense -- it is useless for 
programming and the libtls.so is not meant to be used bypassing Tcl. 

Thanks!